Subject: Re: bug#22626: Postgres service fails on adding user

From: [email-masked] (Ludovic Courtès)
Date: Thu, 11 Feb 2016 23:36:11 +0100

Christopher Allan Webber <[email-masked]> skribis:

> Ludovic Courtès writes:
>
>> Christopher Allan Webber <[email-masked]> skribis:
>>
>>> Heya all... guix system config attached.  I tried doing a guix system
>>> reconfigure and it failboat'ed.  Here's what happened:
>>>
>>>   adding user 'postgres'...
>>>   useradd: group 'postgres' does not exist
>>
>> Normally just above that there should be:
>>
>>   adding group 'postgres'
>>
>> Could it be that adding the group silently failed?  What does /etc/group
>> shows?
>
> Well, it looks like it does do that.  I didn't show my full output
> because there's a lot of garbage... maybe it turns out that this garbage
> is related:
>
> The following derivation will be built:
>    /gnu/store/kil0p7xg6qrvvkf3mp0j0xii09s1cqx7-grub.cfg.drv
> /gnu/store/qsgrb7inl2mkrnccxf524faqax63dbs4-system
> /gnu/store/1b31ydr0yrc3jdl6i4chaccsbapzq0m5-grub.cfg
> /gnu/store/sx2xqvr3s033bl60s09zs6jjbs73n791-grub-2.00
> activating system...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc from /gnu/store/piaczch5x7vczy9z7yjq4z8631rh828p-etc...
> usermod: existing lock file /etc/shadow.lock without a PID
> usermod: cannot lock /etc/shadow; try again later.
> adding group 'postgres'...
> groupadd: existing lock file /etc/group.lock without a PID
> groupadd: cannot lock /etc/group; try again later.

Apparently there’s a stale lock file that prevents ‘groupadd’ from
succeeding, maybe from an earlier crash or something?

Could you forcefully remove /etc/*.lock and retry?

> Anyway /etc/group does not show postgres but I suppose it wouldn't
> without the "guix system reconfigure" succeeding?

At this point, /run/current-system has been successfully updated; the
only thing that hasn’t been done yet is updating the GRUB menu.

Thanks,
Ludo’.